/tasks/:id
curl --request GET \
--url https://api.linkup.so/v1/tasks/{id} \
--header 'Authorization: Bearer <token>'{
"createdAt": "2026-01-01T00:00:00.000Z",
"error": "<string>",
"id": "01234-abcd-56789",
"status": "completed",
"updatedAt": "2026-01-01T00:00:00.000Z",
"input": {
"q": "What is Microsoft's 2024 revenue?",
"excludeDomains": [
"wikipedia.org"
],
"fromDate": "2025-01-01",
"includeDomains": [
"microsoft.com",
"agolution.com"
],
"structuredOutputSchema": null,
"toDate": "2025-01-01",
"includeImages": false,
"includeInlineCitations": false,
"includeSources": false,
"maxResults": 5
},
"output": {
"answer": "Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.",
"sources": [
{
"name": "Microsoft 2024 Annual Report",
"snippet": "Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.",
"url": "https://www.microsoft.com/investor/reports/ar24/index.html"
}
]
},
"type": "<string>"
}Tasks
/tasks/:id
The GET /tasks/:id method, with task identifier, retrieves a specific task information.
GET
/
v1
/
tasks
/
{id}
/tasks/:id
curl --request GET \
--url https://api.linkup.so/v1/tasks/{id} \
--header 'Authorization: Bearer <token>'{
"createdAt": "2026-01-01T00:00:00.000Z",
"error": "<string>",
"id": "01234-abcd-56789",
"status": "completed",
"updatedAt": "2026-01-01T00:00:00.000Z",
"input": {
"q": "What is Microsoft's 2024 revenue?",
"excludeDomains": [
"wikipedia.org"
],
"fromDate": "2025-01-01",
"includeDomains": [
"microsoft.com",
"agolution.com"
],
"structuredOutputSchema": null,
"toDate": "2025-01-01",
"includeImages": false,
"includeInlineCitations": false,
"includeSources": false,
"maxResults": 5
},
"output": {
"answer": "Microsoft's revenue for fiscal year 2024 was $245.1 billion, reflecting a 16% increase from the previous year.",
"sources": [
{
"name": "Microsoft 2024 Annual Report",
"snippet": "Highlights from fiscal year 2024 compared with fiscal year 2023 included: Microsoft Cloud revenue increased 23% to $137.4 billion.",
"url": "https://www.microsoft.com/investor/reports/ar24/index.html"
}
]
},
"type": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.linkup.so/llms.txt
Use this file to discover all available pages before exploring further.
Get your API key
Create a Linkup account for free to get your API key.
This endpoint only retrieves data from an existing task. It does not create a new task.
To create a new task, use
POST /tasks.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Task details.
- Option 1
- Option 2
- Option 3
The date and time when the task was created.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2026-01-01T00:00:00.000Z"
The error message if the task failed.
The unique identifier of the task.
Example:
"01234-abcd-56789"
The current status of the task.
Available options:
completed, failed, pending, processing Example:
"completed"
The date and time when the task status was last updated.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Example:
"2026-01-01T00:00:00.000Z"
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Allowed value:
"search"⌘I